Class | Struct
In: | lib/json/add/struct.rb
Parent: | Object

Struct serialization/deserialization

### Methods

as_json json_create to_json

### Public Class methods

json_create(object)

Deserializes JSON string by constructing new Struct object with values `v` serialized by `to_json`.

### Public Instance methods

as_json(*)

Returns a hash, that will be turned into a JSON object and represent this object.

to_json(*args)

Stores class name (Struct) with Struct values `v` as a JSON string. Only named structs are supported.

[Validate]